News

Get project news

GET
/projects/{project_id}/news.json

Get the news of a project

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

project_id*|

Project ID or identifier

Query Parameters

offset?integer

Offset of the first item

Formatint64
Range0 <= value
Default0
limit?integer

Number of items per page

Formatint64
Range1 <= value <= 100
Default100

Response Body

The request has succeeded.

application/json
  1. response
news*array<>
total_count*integer

Total number of items

Formatint64
offset*integer

Offset of the first item

Formatint64
limit*integer

Limit of items per page

Formatint64
curl -X GET 'https://redmine.example.com/projects/0/news.json'
{  "news": [    {      "id": 0,      "project": {        "id": 0,        "name": "string"      },      "author": {        "id": 0,        "name": "string"      },      "title": "string",      "summary": "string",      "description": "string",      "created_on": "2019-08-24T14:15:22Z",      "attachments": [        {          "id": 0,          "filename": "string",          "filesize": 0,          "content_type": "string",          "description": "string",          "content_url": "http://example.com",          "thumbnail_url": "http://example.com",          "author": {            "id": 0,            "name": "string"          },          "created_on": "2019-08-24T14:15:22Z"        }      ],      "comments": [        {          "id": 0,          "author": {            "id": 0,            "name": "string"          },          "content": "string"        }      ]    }  ],  "total_count": 0,  "offset": 0,  "limit": 0}